﻿ @import url('https://fonts.googleapis.com/css2?family=Lato:wght@300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');
 :root {
   --Primary-color: #047aed;
   --secondary-color: #1c3fa8;
   --dark-color: #630436;
   --light-color: #f4f4f4;

 }
 * {
     box-sizing: border-box;
     padding: 0;
     margin: 0;
 }

 body {
     font-family: 'Lato', 'Sans-serif';
     color: #333;
     line-height: 1.6;
 }
 .img {
    background: url('images/back1.jpg');
    width: 100%;
    height: 100vh;
    background-size: cover;
    background-position: center;
    position: relative;
    overflow: hidden;
 }
 .advertisements {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
      gap: 1rem;
      margin-top: 2rem;
    }

 .img::before {
    content: '';
    position: absolute;
    height: 100vh;
    width: 100vw;
    background: rgba(0, 0, 0, 0.4);
 }

  .center {
    position: absolute;
    top: 60%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    padding: 0 20px;
    text-align: center;
 }

 .center .title {
    color: var(--Primary-color);
    font-size: 80px;
    font-weight: 600;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-style: italic;
 }
 
 ul {
    list-style-type: none;
 }
 a {
    text-decoration: none;
     color: #333;
 }

 h1,
 h2 {
     font-weight: 300;
     line-height: 1.2;
     margin: 10px 0;
 }

 p {
     margin: 10px 0;
 }

 img {
     width: 100%;
 }

 code,
 pre {
    background: #333;
    color: #fff;
    padding: 10px;
 }

 .hidden {
    visibility: hidden;
    height: 0;
 }

 .media-scroller {
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: 23%;
    gap: 1rem;
    padding: 0 1rem;

    overflow-x: auto;
    overscroll-behavior-inline: contain;
 }

 .media-element {
    display: grid;
    gap: 1rem;
    grid-template-rows: min-content;
    padding: 1rem;
    background: var(--Primary-color);
    border-radius: 0.3rem;
    box-shadow: #002240;
    border: none;
 }

 .media-element h6 {
    font-size: 15px;
    color: #f4f4f4;
 }

 .media-element>img {
    inline-size: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
 }

 .snaps-inline {
    scroll-snap-type: inline mandatory;
    scroll-padding-inline: 1rem;
 }

 .snaps-inline>* {
    scroll-snap-align: start;
 }

 .owner img {
   border-radius: 50%;
   background-color: #fff;
   align-items: last baseline;
 }

 .owner-detail{
   text-align: end;
 }

/* navbar */
 .navbar {
   background-color: #fff;
   color: #333;
   height: 80px;
 }

 .navbar .container {
   overflow: hidden;
 }

 .navbar ul {
    display: flex;
 }

 .navbar a{
    color: #333;
    padding: 10px;
    margin: 0 5px;
    font-family: 'Poppins',
      sans-serif;
      font-size: 20px;
 }

 .navbar img {
    height: 70px;
 }

 .navbar a:hover { 
    border-bottom: 2px #000 solid;
 }
 .navbar .flex {
     justify-content: space-between;
 }

 /* Showcase */
 .showcase {
    height: 400px;
    background-color: var(--Primary-color);
    color: #fff;
    position: relative;   
 }

 .showcase h1 {
    font-size: 30px;
 }

 .showcase p {
    margin: 10px 0;
 }

 .showcase .grid{
    overflow: visible;
    grid-template-columns: 55% auto;
    gap: 30px;
 }

 .showcase-text {
    animation: slideInFromLeft 1s ease-in;
 }

 .showcase .find,
 .showcase .contact {
   padding: 5px;
 }

 .showcase-form {
    position: relative;
    top: 50px;
    height: 400px;
    width: 350px;
    padding: 40px;
    z-index: 100;
   justify-self: flex-end;
   animation: slideInFromRight 1s ease-in;
 }

 .showcase-form .form-control {
   margin: 30px 0;

 }

.showcase-form .textarea-field:hover {
border : 2px solid var(--Primary-color);
}

 .showcase-form input[type=text], .showcase-form input[type=email] {
   border: 0;
   border-bottom: 1px solid #b4becb;
   width: 100%;
   padding: 3px;
   font-size: 16px;
 }

 .showcase-form input:focus {
   outline: none;
 }

 .showcase::before,
 .showcase::after{
   content: '';
   position: absolute;
   height: 100px;
   bottom: -70px;
   right: 0;
   left: 0;
   background: #fff;
   transform: skewY(-3deg);
   -webkit-transform: skewY(-3deg);
   -moz-transform: skewY(-3deg);
   -ms-transform: skewY(-3deg);
 }

 /* Stats */
 .stats {
    padding-top: 100px;
    animation: slideInFromBottom 1s ease-in;
 }

 .stats-heading {
    max-width: 500px;
    margin: auto;
 }

 .stats .grid h3 {
    font-size: 35px;
 }

 .stats .grid p {
    font-size: 20px;
    font-weight: bold;
 }


 /* Cloud */
 .cloud .grid {
    grid-template-columns: 4fr 3fr;
 }

 /* Languages */

 .languages .flex {
    flex-wrap: wrap;
 }

 .languages .card {
    text-align: center;
    margin: 18px 10px 40px;
    transition: transform 0.2s ease-in;
 }

 .languages .card h4 {
    font-size: 20px;
    margin-bottom: 10px;
 }

 .languages .card:hover {
    transform: translateY(-15px);
 }

 /* Features */
 .features-head img,
 .docs-head img {
    width: 200px;
    justify-self: flex-end;
 }

 .features-sub-head img {
    width: 300px;
    justify-self: flex-end;
 }

 .features-main .card>i {
    margin-right: 20px;
 }

 .features-main .grid {
    padding: 30px;
 }

 .features-main .grid>*:first-child {
    grid-column: 1 / span 3;
 }

 .features-main .grid>*:nth-child(2) {
    grid-column: 1 / span 2;
 }

 /* Docs */
 .docs-main h3 {
    margin: 20px 0;
 }

 .docs-main .grid {
    grid-template-columns: 1fr 2fr;
    align-items: flex-start;
 }

 .docs-main nav li {
    font-size: 17px;
    padding-bottom: 5px;
    margin-bottom: 5px;
    border-bottom: 1px #ccc solid;
 }

 .docs-main a:hover {
    font-weight: bold;
 }

 /* Footer */
 .footer .social a {
    margin: 0 10px;
 }

 .fa-facebook:hover {
    color: #1773EA;
 }

 .fa-instagram:hover {
    color: #B32E87;
 }

 .fa-twitter:hover {
    color: #1C9CEA;
 }

 /* Animations */
 @keyframes slideInFromLeft {
    0% {
       transform: translateX(-100%);
    }

    100% {
       transform: translateX(0);
    }
 }

 @keyframes slideInFromRight {
    0% {
       transform: translateX(100%);
    }

    100% {
       transform: translateX(0);
    }
 }

 @keyframes slideInFromTop {
    0% {
       transform: translateY(-100%);
    }

    100% {
       transform: translateX(0);
    }
 }

 @keyframes slideInFromBottom {
    0% {
       transform: translateY(100%);
    }

    100% {
       transform: translateX(0);
    }
 }

 @media (max-width: 1000px) {

    .showcase-form {
       width: 340px;
    }
 }

 /* Tablets and under */
 @media (max-width: 768px) {

    .grid,
    .showcase .grid,
    .stats .grid,
    .features-main .grid,
    .docs-main .grid {
       grid-template-columns: 1fr;
       grid-template-rows: 1fr;
    }

    .showcase {
       height: auto;
    }

    .showcase-text {
       text-align: center;
       margin-top: 40px;
       animation: slideInFromTop 1s ease-in;
    }

    .showcase-form {
       justify-self: center;
       margin: auto;
       animation: slideInFromBottom 1s ease-in;
    }

    .features-head,
    .features-sub-head,
    .docs-head {
       text-align: center;
    }

    .features-head img,
    .features-sub-head img,
    .docs-head img {
       justify-self: center;
    }

    .features-main .grid>*:first-child,
    .features-main .grid>*:nth-child(2) {
       grid-column: 1;
    }
 }




 /* Mobile */
 @media (max-width: 500px) {
    .navbar {
       height: 110px;
    }

    .navbar .flex {
       flex-direction: column;
    }

    .navbar ul {
       padding: 10px;
       background-color: rgba(0, 0, 0, 0.1);
    }

    .showcase-form {
       width: 300px;
    }

 }